Subject: Re: What's cooking in git.git (Dec 2025, #03)

From: Junio C Hamano <[email-masked]>
Date: Wed, 17 Dec 2025 14:02:14 +0900

Aaron Plattner <[email-masked]> writes:

> On 12/12/25 2:26 AM, Junio C Hamano wrote:
>> * ap/packfile-promisor-object-optim (2025-12-08) 2 commits
>>   - packfile: skip hash checks in add_promisor_object()
>>   - object: apply skip_hash and discard_tree optimizations to unknown blobs too
>> 
>>   The code path that enumerates promisor objects have been optimized
>>   to skip pointlessly parsing blob objects.
>> 
>>   Comments?
>>   source: <[email-masked]>
> Jeff King said v2 of the patch looked good to him but recommended 
> splitting it into two changes. I don't know if he wanted to review v3 or 
> if he was okay with it based on his comments on v2. The only differences 
> in v3 are the commit count and descriptions.

v3 did not have links back to previous iterations, and

https://lore.kernel.org/git/?q=s%3A%22improve+--exclude-promisor-objects+performance%22

does not even show v1 or v2 (understandable if the topic was
retitled, which is not a bad thing, but makes it harder to find the
previous discussions in a case like this).  So as far as whoever
wrote the entry in the "What's cooking" report you quoted was
concerned, what [*] showed

 * https://lore.kernel.org/git/[email-masked]/

was everything known about the topic, which unfortunately had no
supporting comments.

Is this

  https://lore.kernel.org/git/[email-masked]/

which I found in

  https://lore.kernel.org/git/?q=f%3Aaplattner%40nvidia.com

the v2 discussion?  We are lucky that you are not as prolific as
some contributors, for whom an author-name search would have found
way too many messages ;-)

I can see that the end result of applying the v3 patches match what
was in v2, and v3 separates along the lines Peff suggested in his

  https://lore.kernel.org/git/[email-masked]/

so that's an endorsement enough, I guess ;-).

Let's mark the topic for 'next', then.  Thanks.